# -*- python -*-
# -*- coding: utf-8 -*-
#
# Debian Member Portfolio Service setup
# Copyright © 2009-2015 Jan Dittberner <jan@dittberner.info>
#
# This file is part of the Debian Member Portfolio Service.
#
# Debian Member Portfolio Service is free software: you can redistribute it
# and/or modify it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the License,
# or (at your option) any later version.
#
# Debian Member Portfolio Service is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero
# General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License along with this program.  If not, see <https://www.gnu.org/licenses/>.
#
try:
    from setuptools import setup, find_packages
except ImportError:
    from ez_setup import use_setuptools
    use_setuptools()
    from setuptools import setup, find_packages

setup(
    name='debianmemberportfolio',
    version='0.4.1',
    description='service to create Debian Member Portfolio URLs',
    long_description="""This is a service implementation that returns a set of
    personalized URLs as outlined in https://wiki.debian.org/DDPortfolio. It
    takes the Debian Member's full name and email address as input and returns
    a JSON formatted array of URLs.""",
    # Get strings from https://pypi.python.org/pypi?%3Aaction=list_classifiers
    classifiers=['Development Status :: 5 - Production/Stable',
                 'Environment :: Web Environment',
                 'License :: DFSG approved',
                 'License :: OSI approved :: ' +
                 'GNU Affero General Public License v3',
                 'Programming Language :: Python'],
    keywords='Debian service JSON',
    author='Jan Dittberner',
    author_email='jan@dittberner.info',
    url='http://debian-stuff.dittberner.info/debianmemberportfolio',
    license='AGPL-3.0+',
    install_requires=["Pylons>=1.0", 'babel>=0.9.6'],
    packages=find_packages(exclude=['ez_setup']),
    include_package_data=True,
    test_suite='nose.collector',
    package_data={'debianmemberportfolio':
                  ['*.ini', 'i18n/*/LC_MESSAGES/*.mo']},
    message_extractors={'debianmemberportfolio': [
            ('**.py', 'python', None),
            ('templates/**.mako', 'mako', None),
            ('public/**', 'ignore', None)]},
    zip_safe=False,
    entry_points="""
    [paste.app_factory]
    main = debianmemberportfolio.config.middleware:make_app

    [paste.app_install]
    main = pylons.util:PylonsInstaller
    """,
)
